- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDVersion Class Reference
[COLLADA Document Object Model.]

A COLLADA document verison. More...

`#include <FCDVersion.h>`

List of all members.

## Public Member Functions
| FCDVersion ()
| Default Constructor.
| FCDVersion (const fm::string &v)
| Constructs a version number structure from a string.
| FCDVersion (uint32 major, uint32 minor, uint32 revision)
| Constructs a version number structure from a series of numbers.
| ~FCDVersion ()
| Destructor.
void | ParseVersionNumbers (const fm::string &v)
| Extracts the version number from a string in the form of major.minor.revision (ex: 1.4.1).
bool | operator< (const FCDVersion &b) const
| Returns whether this version is older than a second version.
bool | operator<= (const FCDVersion &b) const
| Returns whether this version is older than or equal to a second version.
bool | operator> (const FCDVersion &b) const
| Returns whether this version is newer than a second version.
bool | operator>= (const FCDVersion &b) const
| Returns whether this version is newer or equal to a second version.
## Public Attributes
uint32 | major
| The major release number of the version.
uint32 | minor
| The minor release number of the version.
uint32 | revision
| The revision number of the release.
## Friends
FCOLLADA_EXPORT bool | IsEquivalent (const FCDVersion &a, const FCDVersion &b)
| Returns whether two versions are equivalent.

## Detailed Description

A COLLADA document verison.

Format is major.minor.revision.

## Constructor & Destructor Documentation

FCDVersion::FCDVersion | ( |  | ) |

| Default Constructor. Leaves all the numbers at zero.

FCDVersion::FCDVersion | ( | const fm::string & | v | ) |

  | Constructs a version number structure from a string. Parameters:
  | v | A string containing the version numbers.

FCDVersion::FCDVersion | ( | uint32 | major,
|  | uint32 | minor,
|  | uint32 | revision
| ) |

  | Constructs a version number structure from a series of numbers. Parameters:
  | major | The major version number.
  | minor | The minor version number.
  | revision | The revision version number.

## Member Function Documentation

bool FCDVersion::operator< | ( | const FCDVersion & | b | ) | const

  | Returns whether this version is older than a second version. Parameters:
  | b | A second version.
Returns: Whether this version is older than the second version.

bool FCDVersion::operator<= | ( | const FCDVersion & | b | ) | const

  | Returns whether this version is older than or equal to a second version. Parameters:
  | b | A second version.
Returns: Whether this version is older than or equal to a second version.

bool FCDVersion::operator> | ( | const FCDVersion & | b | ) | const`[inline]`

  | Returns whether this version is newer than a second version. Parameters:
  | b | A second version.
Returns: Whether this version is newer than the second version.

bool FCDVersion::operator>= | ( | const FCDVersion & | b | ) | const`[inline]`

  | Returns whether this version is newer or equal to a second version. Parameters:
  | b | A second version.
Returns: Whether this version is newer or equal to a second version.

void FCDVersion::ParseVersionNumbers | ( | const fm::string & | v | ) |

  | Extracts the version number from a string in the form of major.minor.revision (ex: 1.4.1). Parameters:
  | v | A string containing the version numbers

## Friends And Related Function Documentation

FCOLLADA_EXPORT bool IsEquivalent | ( | const FCDVersion & | a,
|  | const FCDVersion & | b
| ) | `[friend]`

  | Returns whether two versions are equivalent. Parameters:
  | a | A first version.
  | b | A second version.
Returns: Whether the two versions are equivalent.

The documentation for this class was generated from the following file:

- FCDocument/FCDVersion.h